View Issue Details

IDProjectCategoryView StatusLast Update
16363Bug reportsSurvey takingpublic2020-08-03 11:23
Reporteruser225042Assigned To 
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version4.2.5 
Summary16363: File Upload in LS4 & IE 11
Description

on click on upload file button,nothing happens it remains in the same page

Steps To Reproduce
  1. Create a question type using file upload(Mask Questions)
  2. Activate survey and try to upload the file
Additional Information

Please refer the screenshot below for more details

TagsNo tags attached.
Complete LimeSurvey version number (& build)Irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionIrrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Activities

user225042

2020-06-04 13:05

 

FileUpload_IE11Version.png (34,703 bytes)   
FileUpload_IE11Version.png (34,703 bytes)   
GuernseyResearch

GuernseyResearch

2020-06-04 15:56

reporter   ~58182

We had this problem and it was related to the theme that we had tried to import from LS3.
Try creating a new test survey with only an upload question and using the Vanilla theme.
The current builds (using PHP more than 7.2) cannot properly extend themes.

cdorin

cdorin

2020-06-04 16:52

manager   ~58183

Last edited: 2020-07-30 17:22

Interesting - seems the issue can be reproduced with the default themes as well (using 7.4). Will try later 7.2

gabrieljenik

gabrieljenik

2020-07-24 18:43

developer   ~59085

Last edited: 2020-07-30 17:22

From what I see the syntax used for the assets\packages\questions\upload\src\modaldialog.js is not compatible with IE11.
To review the building process and see why Babel is not doing its magic

gabrieljenik

gabrieljenik

2020-07-28 21:37

developer   ~59139

Last edited: 2020-07-30 17:22

Syntax in the JS wasn't IE11 compatible. Pollyfilled by adding .babelrc file enabling 'preset-env'.

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1518

user225042

2020-07-30 13:37

  ~59203

Last edited: 2020-07-30 17:22

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, working as expected. Please refer the attachment for more details.
Scenario 1: Before Pulling the PR, error message was displayed at the bottom
Scenario 2: I was able to successfully add the file
Scenario 3: added file and submitted it sucessfully
Scenario 4: Verified the added file in responses menu,file is added successfully

16363_Fileupload_IE11.png (254,206 bytes)

user231563

2020-07-30 17:15

  ~59222

Last edited: 2020-07-30 17:22

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30326

lime_release_bot

lime_release_bot

2020-08-03 11:23

administrator   ~59255

Fixed in Release 4.3.8+200803

Related Changesets

LimeSurvey: master e0b70520

2020-07-28 21:36:43

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 16363: File Upload in LS4 & IE 11

Syntax in the JS wasn't IE11 compatible. Pollyfilled by adding .babelrc file enabling 'preset-env'.
Affected Issues
16363
add - assets/packages/questions/upload/.babelrc Diff File
mod - assets/packages/questions/upload/build/uploadquestion.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js Diff File
mod - assets/packages/questions/upload/build/uploadquestion.min.js.map Diff File

Issue History

Date Modified Username Field Change
2020-06-04 13:05 user225042 New Issue
2020-06-04 13:05 user225042 File Added: FileUpload_IE11Version.png
2020-06-04 13:15 user225042 Status new => confirmed
2020-06-04 13:15 user225042 Steps to Reproduce Updated View Revisions
2020-06-04 13:58 user225042 Priority none => low
2020-06-04 15:56 GuernseyResearch Note Added: 58182
2020-06-04 16:52 cdorin PHP Version Irrelevant => 7.2
2020-06-04 16:52 cdorin Note Added: 58183
2020-06-04 16:52 cdorin PHP Version 7.2 => 7.4
2020-07-24 18:43 gabrieljenik Note Added: 59085
2020-07-28 21:37 gabrieljenik Note Added: 59139
2020-07-30 13:37 user225042 Note Added: 59203
2020-07-30 13:37 user225042 File Added: 16363_Fileupload_IE11.png
2020-07-30 17:15 user231563 Changeset attached => LimeSurvey master e0b70520
2020-07-30 17:15 user231563 Note Added: 59222
2020-07-30 17:22 swendrich Status confirmed => resolved
2020-08-03 11:23 lime_release_bot Note Added: 59255
2020-08-03 11:23 lime_release_bot Status resolved => closed
2020-08-03 11:23 lime_release_bot Resolution open => fixed